# assemblyname::get-assembly-name

Gets the AssemblyName for a given file.

### Usage

`AssemblyName assemblyname::get-assembly-name(assemblyFile)`

### Parameters

Name | Type | Description
--- | --- | ---
assemblyFile | string | The assembly file for which to get the AssemblyName.

### Return Value

An AssemblyName object representing the given file.

### Exceptions

The function will fail in any of the following circumstances:

- assemblyFile is an empty String.
- assemblyFile does not exist.
- assemblyFile is not a valid assembly.

### Remarks

The assembly is not added to this domain.

### Examples

- Output the full name of the `nunit.framework` assembly to the build log.

      <echo message="${assemblyname::get-full-name(assemblyname::get-assembly-name('nunit.framework.dll'))}" />

### Requirements

Assembly: NAnt.Core (0.90.3780.0)